[
    {
        "code": "client_spots",
        "title": "现货",
        "sort": 1,
        "type": 1,
        "rulekey": "client_spots",
        "isshow": true,
        "remark": "现货",
        "children": [
            {
                "code": "client_spots_purchase",
                "title": "采购合同",
                "sort": 1,
                "type": 1,
                "rulekey": "client_spots_purchase",
                "isshow": true,
                "remark": "现货-采购合同",
                "children": [{
                    "code": "client_spots_purchase_point",
                    "title": "待点价",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spots_purchase_point",
                    "isshow": true,
                    "remark": "现货-采购合同-待点价",
                    "children": [{
                        "code": "client_spots_purchase_point_point",
                        "title": "点价登记",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_purchase_point_point",
                        "isshow": true,
                        "remark": "现货-采购合同-待点价-点价登记",
                        "children": []
                    }]  
                },{
                    "code": "client_spots_purchase_settle",
                    "title": "待交收",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spots_purchase_settle",
                    "isshow": true,
                    "remark": "现货-采购合同-待交收",
                    "children": [{
                        "code": "client_spots_purchase_settle_delvery",
                        "title": "交收登记",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_purchase_settle_delvery",
                        "isshow": true,
                        "remark": "现货-采购合同-待交收-交收登记",
                        "children": []  
                    },{
                        "code": "client_spots_purchase_settle_inwarehouse",
                        "title": "入库登记",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_spots_purchase_settle_inwarehouse",
                        "isshow": true,
                        "remark": "现货-采购合同-待交收-入库登记",
                        "children": []  
                    },{
                        "code": "client_spots_purchase_settle_money",
                        "title": "款项登记",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_spots_purchase_settle_money",
                        "isshow": true,
                        "remark": "现货-采购合同-待交收-款项登记",
                        "children": []  
                    },{
                        "code": "client_spots_purchase_settle_invoice",
                        "title": "发票登记",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_spots_purchase_settle_invoice",
                        "isshow": true,
                        "remark": "现货-采购合同-待交收-发票登记",
                        "children": []  
                    },{
                        "code": "client_spots_purchase_settle_finish",
                        "title": "完结合同",
                        "sort": 5,
                        "type": 1,
                        "rulekey": "client_spots_purchase_settle_finish",
                        "isshow": true,
                        "remark": "现货-采购合同-待交收-完结合同",
                        "children": []  
                    }]  
                },{
                    "code": "client_spots_purchase_new",
                    "title": "新增合同",
                    "sort": 3,
                    "type": 1,
                    "rulekey": "client_spots_purchase_new",
                    "isshow": true,
                    "remark": "现货-采购合同-新增合同",
                    "children": [{
                        "code": "client_spots_purchase_new_update",
                        "title": "修改",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_purchase_new_update",
                        "isshow": true,
                        "remark": "现货-采购合同-新增合同-修改",
                        "children": []  
                    },{
                        "code": "client_spots_purchase_new_delete",
                        "title": "删除",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_spots_purchase_new_delete",
                        "isshow": true,
                        "remark": "现货-采购合同-新增合同-删除",
                        "children": []  
                    },{
                        "code": "client_spots_purchase_new_resubmit",
                        "title": "重新提交",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_spots_purchase_new_resubmit",
                        "isshow": true,
                        "remark": "现货-采购合同-新增合同-重新提交",
                        "children": []  
                    }]  
                },{
                    "code": "client_spots_purchase_complete",
                    "title": "已完成",
                    "sort": 4,
                    "type": 1,
                    "rulekey": "client_spots_purchase_complete",
                    "isshow": true,
                    "remark": "现货-采购合同-已完成",
                    "children": []  
                }]  
            },
            {
                "code": "client_spots_sales",
                "title": "销售合同",
                "sort": 2,
                "type": 1,
                "rulekey": "client_spots_sales",
                "isshow": true,
                "remark": "现货-销售合同",
                "children": [{
                    "code": "client_spots_sales_point",
                    "title": "待点价",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spots_sales_point",
                    "isshow": true,
                    "remark": "现货-销售合同-待点价",
                    "children": [{
                        "code": "client_spots_sales_point_point",
                        "title": "点价登记",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_sales_point_point",
                        "isshow": true,
                        "remark": "现货-销售合同-待点价-点价登记",
                        "children": []
                    }] 
                },{
                    "code": "client_spots_sales_settle",
                    "title": "待交收",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spots_sales_settle",
                    "isshow": true,
                    "remark": "现货-销售合同-待交收",
                    "children": [{
                        "code": "client_spots_sales_settle_delivery",
                        "title": "交收登记",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_sales_settle_delivery",
                        "isshow": true,
                        "remark": "现货-销售合同-待交收-交收登记",
                        "children": [] 
                    },{
                        "code": "client_spots_sales_settle_outwarehouse",
                        "title": "出库登记",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_spots_sales_settle_outwarehouse",
                        "isshow": true,
                        "remark": "现货-销售合同-待交收-出库登记",
                        "children": [] 
                    },{
                        "code": "client_spots_sales_settle_money",
                        "title": "款项登记",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_spots_sales_settle_money",
                        "isshow": true,
                        "remark": "现货-销售合同-待交收-款项登记",
                        "children": [] 
                    },{
                        "code": "client_spots_sales_settle_invoice",
                        "title": "发票登记",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_spots_sales_settle_invoice",
                        "isshow": true,
                        "remark": "现货-销售合同-待交收-发票登记",
                        "children": [] 
                    },{
                        "code": "client_spots_sales_settle_finish",
                        "title": "完结合同",
                        "sort": 5,
                        "type": 1,
                        "rulekey": "client_spots_sales_settle_finish",
                        "isshow": true,
                        "remark": "现货-销售合同-待交收-完结合同",
                        "children": [] 
                    }] 
                },{
                    "code": "client_spots_sales_new",
                    "title": "新增合同",
                    "sort": 3,
                    "type": 1,
                    "rulekey": "client_spots_sales_new",
                    "isshow": true,
                    "remark": "现货-销售合同-新增合同",
                    "children": [{
                        "code": "client_spots_sales_new_update",
                        "title": "修改",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_sales_new_update",
                        "isshow": true,
                        "remark": "现货-销售合同-新增合同-修改",
                        "children": [] 
                    },{
                        "code": "client_spots_sales_new_delete",
                        "title": "删除",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_spots_sales_new_delete",
                        "isshow": true,
                        "remark": "现货-销售合同-新增合同-删除",
                        "children": [] 
                    },{
                        "code": "client_spots_sales_new_resubmit",
                        "title": "重新提交",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_spots_sales_new_resubmit",
                        "isshow": true,
                        "remark": "现货-销售合同-新增合同-重新提交",
                        "children": [] 
                    }] 
                },{
                    "code": "client_spots_sales_complete",
                    "title": "已完成",
                    "sort": 4,
                    "type": 1,
                    "rulekey": "client_spots_sales_complete",
                    "isshow": true,
                    "remark": "现货-销售合同-已完成",
                    "children": [] 
                }] 
            },
            {
                "code": "client_spots_hedgeplan",
                "title": "购销计划",
                "sort": 3,
                "type": 1,
                "rulekey": "client_spots_hedgeplan",
                "isshow": true,
                "remark": "现货-购销计划",
                "children": [
                    {
                        "code": "client_spots_hedgeplan_new",
                        "title": "新增计划",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_spots_hedgeplan_new",
                        "isshow": true,
                        "remark": "现货-购销计划-新增计划",
                        "children": [
                        { 
                            "code": "client_spots_hedgeplan_new_update",
                            "title": "修改",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spots_hedgeplan_new_update",
                            "isshow": true,
                            "remark": "现货-购销计划-新增计划-修改",
                            "children": []
                        },
                        {
                            "code": "client_spots_hedgeplan_new_delete",
                            "title": "删除",
                            "sort": 2,
                            "type": 1,
                            "rulekey": "client_spots_hedgeplan_new_delete",
                            "isshow": true,
                            "remark": "现货-购销计划-新增计划-删除",
                            "children": []
                        }] 
                    },
                    {
                        "code": "client_spots_hedgeplan_progress",
                        "title": "执行中",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_spots_hedgeplan_progress",
                        "isshow": true,
                        "remark": "现货-购销计划-执行中",
                        "children": []
                    }]  
           },
           {
            "code": "client_spots_link",
            "title": "期现关联",
            "sort": 4,
            "type": 1,
            "rulekey": "client_spots_link",
            "isshow": true,
            "remark": "现货-期现关联",
            "children": [
                {
                    "code": "client_spots_link_outorder",
                    "title": "外部成交单关联",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spots_link_outorder",
                    "isshow": true,
                    "remark": "现货-期现关联-外部成交单关联",
                    "children": [ 
                        { 
                            "code": "client_spots_link_outorder_link",
                            "title": "关联",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spots_link_outorder_link",
                            "isshow": true,
                            "remark": "现货-期现关联-外部成交单关联-关联",
                            "children": []
                        },
                        {
                            "code": "client_spots_link_outorder_unlink",
                            "title": "解除关联",
                            "sort": 2,
                            "type": 1,
                            "rulekey": "client_spots_link_outorder_unlink",
                            "isshow": true,
                            "remark": "现货-期现关联-外部成交单关联-解除关联",
                            "children": []
                        }
                    ] 
                },
                {
                    "code": "client_spots_link_pa",
                    "title": "期现单据关联",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spots_link_pa",
                    "isshow": true,
                    "remark": "现货-期现关联-期现单据关联",
                    "children": [
                        { 
                            "code": "client_spots_link_pa_link",
                            "title": "关联",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spots_link_pa_link",
                            "isshow": true,
                            "remark": "现货-期现关联-期现单据关联-关联",
                            "children": []
                        }
                    ]
                },
                {
                    "code": "client_spots_link_logs",
                    "title": "关联记录",
                    "sort": 3,
                    "type": 1,
                    "rulekey": "client_spots_link_logs",
                    "isshow": true,
                    "remark": "现货-期现关联-关联记录",
                    "children": [
                        { 
                            "code": "client_spots_link_logs_unlink",
                            "title": "解除关联",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spots_link_logs_unlink",
                            "isshow": true,
                            "remark": "现货-期现关联-关联记录-解除关联",
                            "children": []
                        }
                    ]
                }]  
       }
        ]  
    },
    {
        "code": "client_futures",
        "title": "期货",
        "sort": 2,
        "type": 1,
        "rulekey": "client_futures",
        "isshow": true,
        "remark": "期货",
        "children": [
            {
                "code": "client_futures_search",
                "title": "搜索",
                "sort": 1,
                "type": 1,
                "rulekey": "client_futures_search",
                "isshow": true,
                "remark": "期货-搜索",
                "children": []  
            },
            {
                "code": "client_futures_quote",
                "title": "行情",
                "sort": 2,
                "type": 1,
                "rulekey": "client_futures_quote",
                "isshow": true,
                "remark": "期货-行情",
                "children": [
                    {
                        "code": "client_futures_quote_buy",
                        "title": "买入",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_futures_quote_buy",
                        "isshow": true,
                        "remark": "期货-行情-买入",
                        "children": []  
                    },
                    {
                        "code": "client_futures_quote_sell",
                        "title": "卖出",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_futures_quote_sell",
                        "isshow": true,
                        "remark": "期货-行情-卖出",
                        "children": []  
                    },
                    {
                        "code": "client_futures_quote_close",
                        "title": "平仓",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_futures_quote_close",
                        "isshow": true,
                        "remark": "期货-行情-平仓",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_futures_position",
                "title": "持仓",
                "sort": 3,
                "type": 1,
                "rulekey": "client_futures_position",
                "isshow": true,
                "remark": "期货-持仓",
                "children": [
                    {
                        "code": "client_futures_position_quickclose",
                        "title": "快捷反手",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_futures_position_quickclose",
                        "isshow": true,
                        "remark": "期货-持仓-快捷反手",
                        "children": []  
                    },
                    {
                        "code": "client_futures_position_allclose",
                        "title": "一键平仓",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_futures_position_allclose",
                        "isshow": true,
                        "remark": "期货-持仓-一键平仓",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_futures_order",
                "title": "委托",
                "sort": 4,
                "type": 1,
                "rulekey": "client_futures_order",
                "isshow": true,
                "remark": "期货-委托",
                "children": [
                    {
                        "code": "client_futures_order_cancel",
                        "title": "撤单",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_futures_order_cancel",
                        "isshow": true,
                        "remark": "期货-成交-撤单",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_futures_trade",
                "title": "成交",
                "sort": 5,
                "type": 1,
                "rulekey": "client_futures_trade",
                "isshow": true,
                "remark": "期货-成交",
                "children": []  
            },
            {
                "code": "client_futures_fund",
                "title": "资金",
                "sort": 6,
                "type": 1,
                "rulekey": "client_futures_fund",
                "isshow": true,
                "remark": "期货-资金",
                "children": []  
            }
        ]  
    },
    {
        "code": "client_exposure",
        "title": "敞口",
        "sort": 3,
        "type": 1,
        "rulekey": "client_exposure",
        "isshow": true,
        "remark": "敞口",
        "children": [
            {
                "code": "client_exposure_real",
                "title": "实时敞口",
                "sort": 1,
                "type": 1,
                "rulekey": "client_exposure_real",
                "isshow": true,
                "remark": "敞口-实时敞口",
                "children": [
                    {
                        "code": "client_exposure_spotdetail",
                        "title": "现货明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_exposure_spotdetail",
                        "isshow": true,
                        "remark": "敞口-实时敞口-现货明细",
                        "children": []  
                    },
                    {
                        "code": "client_exposure_futuresdetail",
                        "title": "期货明细",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_exposure_futuresdetail",
                        "isshow": true,
                        "remark": "敞口-实时敞口-期货明细",
                        "children": []  
                    },
                    {
                        "code": "client_exposure_trade",
                        "title": "下单",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_exposure_trade",
                        "isshow": true,
                        "remark": "敞口-实时敞口-下单",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_exposure_spot",
                "title": "现货头寸",
                "sort": 2,
                "type": 1,
                "rulekey": "client_exposure_spot",
                "isshow": true,
                "remark": "敞口-现货头寸",
                "children": []  
            },
            {
                "code": "client_exposure_future",
                "title": "期货头寸",
                "sort": 3,
                "type": 1,
                "rulekey": "client_exposure_future",
                "isshow": true,
                "remark": "敞口-期货头寸",
                "children": []  
            },
            {
                "code": "client_exposure_his",
                "title": "历史敞口",
                "sort": 4,
                "type": 1,
                "rulekey": "client_exposure_his",
                "isshow": true,
                "remark": "敞口-历史敞口",
                "children": []  
            }
        ]  
    },
    {
        "code": "client_report",
        "title": "报表查询",
        "sort": 4,
        "type": 1,
        "rulekey": "client_report",
        "isshow": true,
        "remark": "报表查询",
        "children": [
            {
                "code": "client_report_exposure",
                "title": "敞口报表",
                "sort": 1,
                "type": 1,
                "rulekey": "client_report_exposure",
                "isshow": true,
                "remark": "报表查询-敞口报表",
                "children": [
                    {
                        "code": "client_report_exposure_parmateradjust",
                        "title": "参数调整明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_exposure_parmateradjust",
                        "isshow": true,
                        "remark": "报表查询-敞口报表-参数调整明细",
                        "children": [] 
                    },
                    {
                        "code": "client_report_exposure_futures",
                        "title": "期货明细",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_report_exposure_futures",
                        "isshow": true,
                        "remark": "报表查询-敞口报表-期货明细",
                        "children": [] 
                    },
                    {
                        "code": "client_report_exposure_hedgeplan",
                        "title": "套保计划明细",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_report_exposure_hedgeplan",
                        "isshow": true,
                        "remark": "报表查询-敞口报表-套保计划明细",
                        "children": [] 
                    },
                    {
                        "code": "client_report_exposure_spotcontract",
                        "title": "现货合同明细",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_report_exposure_spotcontract",
                        "isshow": true,
                        "remark": "报表查询-敞口报表-现货合同明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_futures",
                "title": "期货报表",
                "sort": 2,
                "type": 1,
                "rulekey": "client_report_futures",
                "isshow": true,
                "remark": "报表查询-期货报表",
                "children": [
                    {
                        "code": "client_report_futures_account",
                        "title": "账户明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_futures_account",
                        "isshow": true,
                        "remark": "报表查询-期货报表-账户明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_spot",
                "title": "现货报表",
                "sort": 3,
                "type": 1,
                "rulekey": "client_report_spot",
                "isshow": true,
                "remark": "报表查询-现货报表",
                "children": [
                    {
                        "code": "client_report_spot_detail",
                        "title": "现货明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_spot_detail",
                        "isshow": true,
                        "remark": "报表查询-现货报表-现货明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_finance",
                "title": "财务报表",
                "sort": 4,
                "type": 1,
                "rulekey": "client_report_finance",
                "isshow": true,
                "remark": "报表查询-财务报表",
                "children": [
                    {
                        "code": "client_report_finance_brand",
                        "title": "品牌明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_finance_brand",
                        "isshow": true,
                        "remark": "报表查询-财务报表-品牌明细",
                        "children": [] 
                    },
                    {
                        "code": "client_report_finance_wrstand",
                        "title": "品类明细",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_report_finance_wrstand",
                        "isshow": true,
                        "remark": "报表查询-财务报表-品类明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_wrstandstock",
                "title": "库存(品类)报表",
                "sort": 5,
                "type": 1,
                "rulekey": "client_report_wrstandstock",
                "isshow": true,
                "remark": "报表查询-库存(品类)报表",
                "children": [
                    {
                        "code": "client_report_wrstandstock_warehouse",
                        "title": "仓库明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_wrstandstock_warehouse",
                        "isshow": true,
                        "remark": "报表查询-库存(品类)报表-仓库明细",
                        "children": [] 
                    },
                    {
                        "code": "client_report_wrstandstock_brand",
                        "title": "品牌明细",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_report_wrstandstock_brand",
                        "isshow": true,
                        "remark": "报表查询-库存(品类)报表-品牌明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_warehousestock",
                "title": "库存(仓库)报表",
                "sort": 6,
                "type": 1,
                "rulekey": "client_report_warehousestock",
                "isshow": true,
                "remark": "报表查询-库存(仓库)报表",
                "children": [
                    {
                        "code": "client_report_warehousestock_stock",
                        "title": "库存明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_warehousestock_stock",
                        "isshow": true,
                        "remark": "报表查询-库存(仓库)报表-库存明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_sumprofit",
                "title": "汇总损益报表",
                "sort": 7,
                "type": 1,
                "rulekey": "client_report_sumprofit",
                "isshow": true,
                "remark": "报表查询-汇总损益报表",
                "children": [
                    {
                        "code": "client_report_sumprofit_detail",
                        "title": "损益明细",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_report_sumprofit_detail",
                        "isshow": true,
                        "remark": "报表查询-汇总损益报表-损益明细",
                        "children": [] 
                    }
                ]  
            },
            {
                "code": "client_report_pricing",
                "title": "定价报表",
                "sort": 8,
                "type": 1,
                "rulekey": "client_report_sumprofit",
                "isshow": true,
                "remark": "报表查询-定价报表",
                "children": []  
            }
        ] 
    },
    {
        "code": "client_aduitsetting",
        "title": "审核设置",
        "sort": 5,
        "type": 1,
        "rulekey": "client_aduitsetting",
        "isshow": true,
        "remark": "审核设置",
        "children": [
            {
                "code": "client_aduitsetting_new",
                "title": "审核设置",
                "sort": 1,
                "type": 1,
                "rulekey": "client_aduitsetting_new",
                "isshow": true,
                "remark": "审核设置",
                "children": []  
            }
        ]  
    },
    {
        "code": "client_trademain",
        "title": "交易主体",
        "sort": 6,
        "type": 1,
        "rulekey": "client_trademain",
        "isshow": true,
        "remark": "交易主体",
        "children": [
            {
                "code": "client_trademain_new",
                "title": "交易主体",
                "sort": 1,
                "type": 1,
                "rulekey": "client_trademain_new",
                "isshow": true,
                "remark": "交易主体",
                "children": []  
            }
        ]  
    },
    {
        "code": "client_customer",
        "title": "客户资料",
        "sort": 7,
        "type": 1,
        "rulekey": "client_customer",
        "isshow": true,
        "remark": "客户资料",
        "children": [
            {
                "code": "client_customer_add",
                "title": "新增",
                "sort": 1,
                "type": 1,
                "rulekey": "client_customer_add",
                "isshow": true,
                "remark": "客户资料-新增",
                "children": []  
            },
            {
                "code": "client_customer_search",
                "title": "搜索",
                "sort": 2,
                "type": 1,
                "rulekey": "client_customer_search",
                "isshow": true,
                "remark": "客户资料-搜索",
                "children": []  
            },
            {
                "code": "client_customer_unsubmit",
                "title": "未提交",
                "sort": 3,
                "type": 1,
                "rulekey": "client_customer_unsubmit",
                "isshow": true,
                "remark": "客户资料-未提交",
                "children": [
                    {
                        "code": "client_customer_recommit",
                        "title": "重新提交",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_customer_recommit",
                        "isshow": true,
                        "remark": "客户资料-未提交-重新提交",
                        "children": []  
                    },
                    {
                        "code": "client_customer_update",
                        "title": "修改",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_customer_update",
                        "isshow": true,
                        "remark": "客户资料-未提交-修改",
                        "children": []  
                    },
                    {
                        "code": "client_customer_delete",
                        "title": "删除",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_customer_delete",
                        "isshow": true,
                        "remark": "客户资料-未提交-删除",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_customer_unaduit",
                "title": "待审核",
                "sort": 4,
                "type": 1,
                "rulekey": "client_customer_unaduit",
                "isshow": true,
                "remark": "客户资料-待审核",
                "children": [
                    {
                        "code": "client_customer_check",
                        "title": "审核",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_customer_check",
                        "isshow": true,
                        "remark": "客户资料-待审核-审核",
                        "children": []  
                    },
                    {
                        "code": "client_customer_cancel",
                        "title": "撤销",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_customer_cancel",
                        "isshow": true,
                        "remark": "客户资料-待审核-撤销",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_customer_normal",
                "title": "正常",
                "sort": 5,
                "type": 1,
                "rulekey": "client_customer_normal",
                "isshow": true,
                "remark": "客户资料-正常",
                "children": [
                    {
                        "code": "client_customer_disable",
                        "title": "停用",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_customer_disable",
                        "isshow": true,
                        "remark": "客户资料-正常-停用",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_customer_stop",
                "title": "停用",
                "sort": 6,
                "type": 1,
                "rulekey": "client_customer_stop",
                "isshow": true,
                "remark": "客户资料-停用",
                "children": [
                    {
                        "code": "client_customer_restore",
                        "title": "恢复",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_customer_restore",
                        "isshow": true,
                        "remark": "客户资料-停用-恢复",
                        "children": []  
                    }
                ]  
            }
        ]  
    },
    {
        "code": "client_accountmanage",
        "title": "账户管理",
        "sort": 8,
        "type": 1,
        "rulekey": "client_accountmanage",
        "isshow": true,
        "remark": "账户管理",
        "children": [
            {
                "code": "client_accountmanage_ta",
                "title": "期货账户",
                "sort": 4,
                "type": 1,
                "rulekey": "client_accountmanage_ta",
                "isshow": true,
                "remark": "账户管理-期货账户",
                "children": [
                    {
                        "code": "client_accountmanage_ta_accountset",
                        "title": "账户设置",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_accountset",
                        "isshow": true,
                        "remark": "账户管理-期货账户-账户设置",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_ta_mainadd",
                        "title": "新增主账户",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_mainadd",
                        "isshow": true,
                        "remark": "账户管理-期货账户-新增主账户",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_ta_mainupdate",
                        "title": "主账户修改",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_mainupdate",
                        "isshow": true,
                        "remark": "账户管理-期货账户-主账户修改",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_ta_subadd",
                        "title": "子账户新增",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_subadd",
                        "isshow": true,
                        "remark": "账户管理-期货账户-子账户新增",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_ta_subupdate",
                        "title": "子账户修改",
                        "sort": 5,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_subupdate",
                        "isshow": true,
                        "remark": "账户管理-期货账户-子账户修改",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_ta_subclose",
                        "title": "子账户注销",
                        "sort": 6,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_subclose",
                        "isshow": true,
                        "remark": "账户管理-期货账户-子账户注销",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_ta_subcredit",
                        "title": "子账户授信",
                        "sort": 7,
                        "type": 1,
                        "rulekey": "client_accountmanage_ta_subcredit",
                        "isshow": true,
                        "remark": "账户管理-期货账户-子账户授信",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_accountmanage_manage",
                "title": "管理账户",
                "sort": 3,
                "type": 1,
                "rulekey": "client_accountmanage_manage",
                "isshow": true,
                "remark": "账户管理-管理账户",
                "children": [
                    {
                        "code": "client_accountmanage_roleset",
                        "title": "权限设置",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_accountmanage_roleset",
                        "isshow": true,
                        "remark": "账户管理-管理账户-权限设置",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_add",
                        "title": "新增",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_accountmanage_add",
                        "isshow": true,
                        "remark": "账户管理-管理账户-新增",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_update",
                        "title": "修改",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_accountmanage_update",
                        "isshow": true,
                        "remark": "账户管理-管理账户-修改",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_resetpwd",
                        "title": "重置密码",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_accountmanage_resetpwd",
                        "isshow": true,
                        "remark": "账户管理-管理账户-重置密码",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_lock",
                        "title": "锁定",
                        "sort": 5,
                        "type": 1,
                        "rulekey": "client_accountmanage_lock",
                        "isshow": true,
                        "remark": "账户管理-管理账户-锁定",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_unlock",
                        "title": "解锁",
                        "sort": 6,
                        "type": 1,
                        "rulekey": "client_accountmanage_unlock",
                        "isshow": true,
                        "remark": "账户管理-管理账户-解锁",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_close",
                        "title": "注销",
                        "sort": 7,
                        "type": 1,
                        "rulekey": "client_accountmanage_close",
                        "isshow": true,
                        "remark": "账户管理-管理账户-注销",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_accountmanage_business",
                "title": "业务账户",
                "sort": 1,
                "type": 1,
                "rulekey": "client_accountmanage_business",
                "isshow": true,
                "remark": "账户管理-业务账户",
                "children": [
                    {
                        "code": "client_accountmanage_business_add",
                        "title": "新增",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_accountmanage_business_add",
                        "isshow": true,
                        "remark": "账户管理-业务账户-新增",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_business_update",
                        "title": "修改",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_accountmanage_business_update",
                        "isshow": true,
                        "remark": "账户管理-业务账户-修改",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_business_resetpwd",
                        "title": "重置密码",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_accountmanage_business_resetpwd",
                        "isshow": true,
                        "remark": "账户管理-业务账户-重置密码",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_business_lock",
                        "title": "锁定",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_accountmanage_business_lock",
                        "isshow": true,
                        "remark": "账户管理-业务账户-锁定",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_business_unlock",
                        "title": "解锁",
                        "sort": 5,
                        "type": 1,
                        "rulekey": "client_accountmanage_business_unlock",
                        "isshow": true,
                        "remark": "账户管理-业务账户-解锁",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_business_close",
                        "title": "注销",
                        "sort": 6,
                        "type": 1,
                        "rulekey": "client_accountmanage_business_close",
                        "isshow": true,
                        "remark": "账户管理-业务账户-注销",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_accountmanage_trade",
                "title": "交易账户",
                "sort": 2,
                "type": 1,
                "rulekey": "client_accountmanage_trade",
                "isshow": true,
                "remark": "账户管理-交易账户",
                "children": [
                    {
                        "code": "client_accountmanage_trade_userupdate",
                        "title": "交易用户修改",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_userupdate",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易用户修改",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_trade_add",
                        "title": "交易员新增",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_add",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易员新增",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_trade_update",
                        "title": "交易员修改",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_update",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易员修改",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_trade_resetpwd",
                        "title": "交易员重置密码",
                        "sort": 4,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_resetpwd",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易员重置密码",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_trade_lock",
                        "title": "交易员锁定",
                        "sort": 5,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_lock",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易员锁定",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_trade_close",
                        "title": "交易员注销",
                        "sort": 6,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_close",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易员注销",
                        "children": []  
                    },
                    {
                        "code": "client_accountmanage_trade_unlock",
                        "title": "交易员解锁",
                        "sort": 7,
                        "type": 1,
                        "rulekey": "client_accountmanage_trade_unlock",
                        "isshow": true,
                        "remark": "账户管理-交易账户-交易员解锁",
                        "children": []  
                    }
                ]  
            }
        ]  
    },
    {
        "code": "client_deliverygoods",
        "title": "商品信息",
        "sort": 9,
        "type": 1,
        "rulekey": "client_deliverygoods",
        "isshow": true,
        "remark": "商品信息",
        "children": [
            {
                "code": "client_deliverygoods_add",
                "title": "新增",
                "sort": 1,
                "type": 1,
                "rulekey": "client_deliverygoods_add",
                "isshow": true,
                "remark": "商品信息-新增",
                "children": []  
            },
            {
                "code": "client_deliverygoods_search",
                "title": "搜索",
                "sort": 2,
                "type": 1,
                "rulekey": "client_deliverygoods_search",
                "isshow": true,
                "remark": "商品信息-搜索",
                "children": []  
            },
            {
                "code": "client_deliverygoods_spot",
                "title": "现货品种",
                "sort": 3,
                "type": 1,
                "rulekey": "client_deliverygoods_spot",
                "isshow": true,
                "remark": "商品信息-现货品种",
                "children": [
                    {
                        "code": "client_deliverygoods_spot_modify",
                        "title": "修改",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_deliverygoods_spot_modify",
                        "isshow": true,
                        "remark": "商品信息-现货品种-修改",
                        "children": []  
                    },
                    {
                        "code": "client_deliverygoods_spot_disable",
                        "title": "停用",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_deliverygoods_spot_disable",
                        "isshow": true,
                        "remark": "商品信息-现货品种-停用",
                        "children": []  
                    },
                    {
                        "code": "client_deliverygoods_spot_restore",
                        "title": "恢复",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_deliverygoods_spot_restore",
                        "isshow": true,
                        "remark": "商品信息-现货品种-恢复",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_deliverygoods_hedge",
                "title": "套保品种",
                "sort": 4,
                "type": 1,
                "rulekey": "client_deliverygoods_hedge",
                "isshow": true,
                "remark": "商品信息-套保品种",
                "children": [
                    {
                        "code": "client_deliverygoods_hedge_modify",
                        "title": "修改",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_deliverygoods_hedge_modify",
                        "isshow": true,
                        "remark": "商品信息-套保品种-修改",
                        "children": []  
                    },
                    {
                        "code": "client_deliverygoods_hedge_disable",
                        "title": "停用",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_deliverygoods_hedge_disable",
                        "isshow": true,
                        "remark": "商品信息-套保品种-停用",
                        "children": []  
                    },
                    {
                        "code": "client_deliverygoods_hedge_restore",
                        "title": "恢复",
                        "sort": 3,
                        "type": 1,
                        "rulekey": "client_deliverygoods_hedge_restore",
                        "isshow": true,
                        "remark": "商品信息-套保品种-恢复",
                        "children": []  
                    }
                ]  
            }
        ]  
    },
    {
        "code": "client_warehouse",
        "title": "仓库信息",
        "sort": 10,
        "type": 1,
        "rulekey": "client_warehouse",
        "isshow": true,
        "remark": "仓库信息",
        "children": [
            {
                "code": "client_warehouse_add",
                "title": "新增",
                "sort": 1,
                "type": 1,
                "rulekey": "client_warehouse_add",
                "isshow": true,
                "remark": "仓库信息-新增",
                "children": [] 
            },
            {
                "code": "client_warehouse_normal",
                "title": "正常",
                "sort": 2,
                "type": 1,
                "rulekey": "client_warehouse_normal",
                "isshow": true,
                "remark": "仓库信息-正常",
                "children": [
                    {
                        "code": "client_warehouse_update",
                        "title": "修改",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_warehouse_update",
                        "isshow": true,
                        "remark": "仓库信息-正常-修改",
                        "children": [] 
                    },
                    {
                        "code": "client_warehouse_stop",
                        "title": "停用",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_warehouse_stop",
                        "isshow": true,
                        "remark": "仓库信息-正常-停用",
                        "children": [] 
                    }
                ] 
            },
            {
                "code": "client_warehouse_stop",
                "title": "停用",
                "sort": 3,
                "type": 1,
                "rulekey": "client_warehouse_stop",
                "isshow": true,
                "remark": "仓库信息-停用",
                "children": [
                    {
                        "code": "client_warehouse_restore",
                        "title": "恢复",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_warehouse_restore",
                        "isshow": true,
                        "remark": "仓库信息-停用-恢复",
                        "children": [] 
                    }
                ] 
            }
        ] 
    },
    {
        "code": "client_spotmarketprice",
        "title": "现货市价",
        "sort": 11,
        "type": 1,
        "rulekey": "client_spotmarketprice",
        "isshow": true,
        "remark": "现货市价",
        "children": [
            {
                "code": "client_spotmarketprice_new",
                "title": "市价录入",
                "sort": 1,
                "type": 1,
                "rulekey": "client_spotmarketprice_new",
                "isshow": false,
                "remark": "现货市价-市价录入",
                "children": []
            },
            {
                "code": "client_spotmarketprice_update",
                "title": "修改",
                "sort": 2,
                "type": 1,
                "rulekey": "client_spotmarketprice_update",
                "isshow": true,
                "remark": "现货市价-修改",
                "children": []
            },
            {
                "code": "client_spotmarketprice_delete",
                "title": "删除",
                "sort": 3,
                "type": 1,
                "rulekey": "client_spotmarketprice_delete",
                "isshow": true,
                "remark": "现货市价-删除",
                "children": []
            },
            {
                "code": "client_spotmarketprice_search",
                "title": "查询",
                "sort": 4,
                "type": 1,
                "rulekey": "client_spotmarketprice_search",
                "isshow": true,
                "remark": "现货市价-查询",
                "children": []
            }
        ]
    },
    {
        "code": "client_traderflow",
        "title": "交易查询",
        "sort": 12,
        "type": 1,
        "rulekey": "client_traderflow",
        "isshow": true,
        "remark": "交易查询",
        "children": [
            {
                "code": "client_traderflow_hisorder",
                "title": "历史委托",
                "sort": 1,
                "type": 1,
                "rulekey": "client_traderflow_hisorder",
                "isshow": true,
                "remark": "交易查询-历史委托",
                "children": [
                    {
                        "code": "client_traderflow_hisorder_search",
                        "title": "查询",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_traderflow_hisorder_search",
                        "isshow": true,
                        "remark": "交易查询-历史委托-查询",
                        "children": []  
                    },
                    {
                        "code": "client_traderflow_hisorder_chart",
                        "title": "图表",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_traderflow_hisorder_chart",
                        "isshow": true,
                        "remark": "交易查询-历史委托-图表",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_traderflow_histrade",
                "title": "历史成交",
                "sort": 2,
                "type": 1,
                "rulekey": "client_traderflow_histrade",
                "isshow": true,
                "remark": "交易查询-历史成交",
                "children": [
                    {
                        "code": "client_traderflow_histrade_search",
                        "title": "查询",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_traderflow_histrade_search",
                        "isshow": true,
                        "remark": "交易查询-历史成交-查询",
                        "children": []  
                    },
                    {
                        "code": "client_traderflow_histrade_chart",
                        "title": "图表",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_traderflow_histrade_chart",
                        "isshow": true,
                        "remark": "交易查询-历史成交-图表",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_traderflow_hista",
                "title": "历史流水",
                "sort": 3,
                "type": 1,
                "rulekey": "client_traderflow_hista",
                "isshow": true,
                "remark": "交易查询-历史流水",
                "children": [
                    {
                        "code": "client_traderflow_hista_search",
                        "title": "查询",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_traderflow_hista_search",
                        "isshow": true,
                        "remark": "交易查询-历史流水-查询",
                        "children": []  
                    }
                ]  
            }
        ]  
    },
    {
        "code": "client_stock_manage",
        "title": "库存管理",
        "sort": 13,
        "type": 1,
        "rulekey": "client_stock_manage",
        "isshow": true,
        "remark": "库存管理",
        "children": [
            {
                "code": "client_stock_manage_current",
                "title": "当前库存",
                "sort": 1,
                "type": 2,
                "rulekey": "client_stock_manage_current",
                "isshow": true,
                "remark": "库存管理-当前库存",
                "children": [
                    {
                        "code": "client_stock_manage_in_detail",
                        "title": "入库明细",
                        "sort": 1,
                        "type": 2,
                        "rulekey": "client_stock_manage_in_detail",
                        "isshow": true,
                        "remark": "库存管理-当前库存-入库明细",
                        "children": []  
                    },
                    {
                        "code": "client_stock_manage_out_detail",
                        "title": "出库明细",
                        "sort": 2,
                        "type": 2,
                        "rulekey": "client_stock_manage_out_detail",
                        "isshow": true,
                        "remark": "库存管理-当前库存-出库明细",
                        "children": []  
                    }
                ] 
            },
            {
                "code": "client_stock_manage_applylog",
                "title": "申请记录",
                "sort": 2,
                "type": 2,
                "rulekey": "client_stock_manage_applylog",
                "isshow": true,
                "remark": "库存管理-申请记录",
                "children": [] 
            },
            {
                "code": "client_stock_manage_add",
                "title": "新增",
                "sort": 3,
                "type": 1,
                "rulekey": "client_stock_manage_add",
                "isshow": true,
                "remark": "库存管理-新增",
                "children": [] 
            }
        ]
    },
    {
        "code": "client_finance",
        "title": "财务审核",
        "sort": 14,
        "type": 1,
        "rulekey": "client_finance",
        "isshow": true,
        "remark": "财务审核",
        "children": [
            {
                "code": "client_finance_search",
                "title": "搜索",
                "sort": 1,
                "type": 1,
                "rulekey": "client_finance_search",
                "isshow": true,
                "remark": "财务审核-搜索",
                "children": []  
            },
            {
                "code": "client_finance_fund",
                "title": "款项",
                "sort": 2,
                "type": 1,
                "rulekey": "client_finance_fund",
                "isshow": true,
                "remark": "财务审核-款项",
                "children": [
                    {
                        "code": "client_finance_fund_cancel",
                        "title": "撤回",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_finance_fund_cancel",
                        "isshow": true,
                        "remark": "财务审核-款项-撤回",
                        "children": []  
                    },
                    {
                        "code": "client_finance_fund_check",
                        "title": "款项审核",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_finance_fund_check",
                        "isshow": true,
                        "remark": "财务审核-款项-款项审核",
                        "children": []  
                    }
                ]  
            },
            {
                "code": "client_finance_invoice",
                "title": "发票",
                "sort": 3,
                "type": 1,
                "rulekey": "client_finance_invoice",
                "isshow": true,
                "remark": "财务审核-发票",
                "children": [
                    {
                        "code": "client_finance_invoice_cancel",
                        "title": "撤回",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_finance_invoice_cancel",
                        "isshow": true,
                        "remark": "财务审核-发票-撤回",
                        "children": []  
                    },
                    {
                        "code": "client_finance_invoice_check",
                        "title": "发票审核",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_finance_invoice_check",
                        "isshow": true,
                        "remark": "财务审核-发票-发票审核",
                        "children": []  
                    }
                ]  
            }
        ]  
    },
    {
        "code": "client_stock",
        "title": "库存审核",
        "sort": 15,
        "type": 1,
        "rulekey": "client_stock",
        "isshow": true,
        "remark": "库存审核",
        "children": [
            {
                "code": "client_stock_in",
                "title": "入库",
                "sort": 1,
                "type": 1,
                "rulekey": "client_stock_in",
                "isshow": true,
                "remark": "库存审核-入库",
                "children": [
                    {
                        "code": "client_stock_in_aduit",
                        "title": "入库审核",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_stock_in_aduit",
                        "isshow": true,
                        "remark": "库存审核-入库-入库审核",
                        "children": []
                    },
                    {
                        "code": "client_stock_aduit_cancel",
                        "title": "撤回",
                        "sort": 2,
                        "type": 1,
                        "rulekey": "client_stock_aduit_cancel",
                        "isshow": true,
                        "remark": "库存审核-入库-撤回",
                        "children": []
                    }
                ] 
            },
            {
                "code": "client_stock_out",
                "title": "出库",
                "sort": 2,
                "type": 1,
                "rulekey": "client_stock_out",
                "isshow": true,
                "remark": "库存审核-出库",
                "children": [
                    {
                        "code": "client_stock_out_aduit",
                        "title": "出库审核",
                        "sort": 1,
                        "type": 1,
                        "rulekey": "client_stock_out_aduit",
                        "isshow": true,
                        "remark": "库存审核-入库-出库审核",
                        "children": []
                    }
                ] 
            }
        ]   
    },
    {
        "code": "client_spotsaduit",
        "title": "现货审核",
        "sort": 16,
        "type": 1,
        "rulekey": "client_spotsaduit",
        "isshow": true,
        "remark": "现货审核",
        "children": [{
            "code": "client_spotsaduit_contract",
            "title": "合同审核",
            "sort": 1,
            "type": 1,
            "rulekey": "client_spotsaduit_contract",
            "isshow": true,
            "remark": "现货审核-合同审核",
            "children": [
                {
                    "code": "client_spotsaduit_contract_unaduit",
                    "title": "待审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spotsaduit_contract_unaduit",
                    "isshow": true,
                    "remark": "现货审核-合同审核-待审核",
                    "children": [
                        {
                            "code": "client_spotsaduit_contract_unaduit_cancel",
                            "title": "撤回",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spotsaduit_contract_unaduit_cancel",
                            "isshow": true,
                            "remark": "现货审核-合同审核-待审核-撤回",
                            "children": []  
                        },{
                            "code": "client_spotsaduit_contract_unaduit_aduit",
                            "title": "审核",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spotsaduit_contract_unaduit_aduit",
                            "isshow": true,
                            "remark": "现货审核-合同审核-待审核-审核",
                            "children": []  
                        }
                    ]  
                },{
                    "code": "client_spotsaduit_contract_aduited",
                    "title": "已审核",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spotsaduit_contract_aduited",
                    "isshow": true,
                    "remark": "现货审核-合同审核-已审核",
                    "children": []  
                }
            ]  
        },{
            "code": "client_spotsaduit_point",
            "title": "点价审核",
            "sort": 2,
            "type": 1,
            "rulekey": "client_spotsaduit_point",
            "isshow": true,
            "remark": "现货审核-点价审核",
            "children": [
                {
                    "code": "client_spotsaduit_point_unaduit",
                    "title": "待审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spotsaduit_point_unaduit",
                    "isshow": true,
                    "remark": "现货审核-点价审核-待审核",
                    "children": [
                        {
                            "code": "client_spotsaduit_point_unaduit_cancel",
                            "title": "撤回",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spotsaduit_point_unaduit_cancel",
                            "isshow": true,
                            "remark": "现货审核-点价审核-待审核-撤回",
                            "children": []  
                        },{
                            "code": "client_spotsaduit_point_unaduit_aduit",
                            "title": "点价审核",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spotsaduit_point_unaduit_aduit",
                            "isshow": true,
                            "remark": "现货审核-点价审核-待审核-点价审核",
                            "children": []  
                        }
                    ]  
                },{
                    "code": "client_spotsaduit_point_aduited",
                    "title": "已审核",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spotsaduit_point_aduited",
                    "isshow": true,
                    "remark": "现货审核-点价审核-已审核",
                    "children": []  
                }
            ]  
        },{
            "code": "client_spotsaduit_settle",
            "title": "交收审核",
            "sort": 3,
            "type": 1,
            "rulekey": "client_spotsaduit_settle",
            "isshow": true,
            "remark": "现货审核-交收审核",
            "children": [
                {
                    "code": "client_spotsaduit_settle_unaduit",
                    "title": "待审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spotsaduit_settle_unaduit",
                    "isshow": true,
                    "remark": "现货审核-交收审核-待审核",
                    "children": [
                        {
                            "code": "client_spotsaduit_settle_unaduit_cancel",
                            "title": "撤回",
                            "sort": 1,
                            "type": 1,
                            "rulekey": "client_spotsaduit_settle_unaduit_cancel",
                            "isshow": true,
                            "remark": "现货审核-交收审核-待审核-撤回",
                            "children": []  
                        },{
                            "code": "client_spotsaduit_settle_unaduit_aduit",
                            "title": "交收审核",
                            "sort": 2,
                            "type": 1,
                            "rulekey": "client_spotsaduit_settle_unaduit_aduit",
                            "isshow": true,
                            "remark": "现货审核-交收审核-待审核-交收审核",
                            "children": []  
                        }
                    ]  
                },{
                    "code": "client_spotsaduit_settle_aduited",
                    "title": "已审核",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spotsaduit_settle_aduited",
                    "isshow": true,
                    "remark": "现货审核-交收审核-已审核",
                    "children": []  
                }
            ]  
        },{
            "code": "client_spotsaduit_hedgeplan",
            "title": "计划审核",
            "sort": 4,
            "type": 1,
            "rulekey": "client_spotsaduit_hedgeplan",
            "isshow": true,
            "remark": "现货审核-计划审核",
            "children": [{
                "code": "client_spotsaduit_hedgeplan_unaduit",
                "title": "待审核",
                "sort": 1,
                "type": 1,
                "rulekey": "client_spotsaduit_hedgeplan_unaduit",
                "isshow": true,
                "remark": "现货审核-计划审核-待审核",
                "children": [{
                    "code": "client_spotsaduit_hedgeplan_unaduit_cancel",
                    "title": "撤销",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_spotsaduit_hedgeplan_unaduit_cancel",
                    "isshow": true,
                    "remark": "现货审核-计划审核-待审核-撤销",
                    "children": []  
                },{
                    "code": "client_spotsaduit_hedgeplan_unaduit_aduit",
                    "title": "审核",
                    "sort": 2,
                    "type": 1,
                    "rulekey": "client_spotsaduit_hedgeplan_unaduit_aduit",
                    "isshow": true,
                    "remark": "现货审核-计划审核-待审核-审核",
                    "children": []  
                }]  
            },{
                "code": "client_spotsaduit_hedgeplan_auited",
                "title": "已审核",
                "sort": 2,
                "type": 1,
                "rulekey": "client_spotsaduit_hedgeplan_auited",
                "isshow": true,
                "remark": "现货审核-计划审核-已审核",
                "children": []  
            }]  
        }]  
    },
    {
        "code": "client_qhjcztx",
        "title": "充值提现",
        "sort": 17,
        "type": 1,
        "rulekey": "client_qhjcztx",
        "isshow": true,
        "remark": "充值提现",
        "children": []  
    },
    {
        "code": "client_qhjzjxx",
        "title": "资产信息",
        "sort": 18,
        "type": 1,
        "rulekey": "client_qhjzjxx",
        "isshow": true,
        "remark": "资产信息",
        "children": []  
    },
    {
        "code": "client_qhjdtgl",
        "title": "定投管理",
        "sort": 19,
        "type": 1,
        "rulekey": "client_qhjdtgl",
        "isshow": true,
        "remark": "定投管理",
        "children": []  
    },
    {
        "code": "client_qhjjycx",
        "title": "交易查询",
        "sort": 20,
        "type": 1,
        "rulekey": "client_qhjjycx",
        "isshow": true,
        "remark": "交易查询",
        "children": []  
    },
    {
        "code": "client_qhjbjb",
        "title": "铂金宝",
        "sort": 21,
        "type": 1,
        "rulekey": "client_qhjbjb",
        "isshow": true,
        "remark": "铂金宝",
        "children": []  
    },
    {
        "code": "client_qhjsphg",
        "title": "饰品回收",
        "sort": 22,
        "type": 1,
        "rulekey": "client_qhjsphg",
        "isshow": true,
        "remark": "饰品回收",
        "children": []  
    },
    {
        "code": "client_qhjmine",
        "title": "我的",
        "sort": 23,
        "type": 1,
        "rulekey": "client_qhjmine",
        "isshow": true,
        "remark": "我的",
        "children": []  
    },
    {
        "code": "client_mobile_hnstcdmy",
        "title": "仓单贸易",
        "sort": 24,
        "type": 1,
        "rulekey": "client_mobile_hnstcdmy",
        "isshow": true,
        "remark": "仓单贸易",
        "children": []  
    },
    {
        "code": "client_mobile_hnstcdys",
        "title": "仓单预售",
        "sort": 25,
        "type": 1,
        "rulekey": "client_mobile_hnstcdys",
        "isshow": true,
        "remark": "仓单预售",
        "children": []  
    },
    {
        "code": "client_mobile_hnsthyjy",
        "title": "合约交易",
        "sort": 26,
        "type": 1,
        "rulekey": "client_mobile_hnsthyjy",
        "isshow": true,
        "remark": "合约交易",
        "children": []  
    },
    {
        "code": "client_mobile_hnstmine",
        "title": "我的",
        "sort": 27,
        "type": 1,
        "rulekey": "client_mobile_hnstmine",
        "isshow": true,
        "remark": "我的",
        "children": []  
    },
    {
        "code": "client_mobile_hnstwymh",
        "title": "我要买货",
        "sort": 28,
        "type": 1,
        "rulekey": "client_mobile_hnstwymh",
        "isshow": true,
        "remark": "我要买货",
        "children": []  
    },
    {
        "code": "client_mobile_hnstwyys",
        "title": "我要预售",
        "sort": 29,
        "type": 1,
        "rulekey": "client_mobile_hnstwyys",
        "isshow": true,
        "remark": "我要预售",
        "children": []  
    },
    {
        "code": "client_mobile_hnstlygl",
        "title": "履约管理",
        "sort": 30,
        "type": 1,
        "rulekey": "client_mobile_hnstlygl",
        "isshow": true,
        "remark": "履约管理",
        "children": []  
    },
    {
        "code": "client_qhjkhzl",
        "title": "客户资料",
        "sort": 31,
        "type": 1,
        "rulekey": "client_qhjkhzl",
        "isshow": true,
        "remark": "客户资料",
        "children": []  
    },
    {
        "code": "client_mobile_hnstckhq",
        "title": "参考行情",
        "sort": 32,
        "type": 1,
        "rulekey": "client_mobile_hnstckhq",
        "isshow": true,
        "remark": "参考行情",
        "children": []  
    },
    {
        "code": "client_mobile_varietiesparameteraduit",
        "title": "风管审核",
        "sort": 33,
        "type": 1,
        "rulekey": "client_mobile_varietiesparameteraduit",
        "isshow": true,
        "remark": "风管审核",
        "children": [{
            "code": "client_mobile_varietiesparameteraduit_taxrate",
            "title": "增值税税率",
            "sort": 1,
            "type": 1,
            "rulekey": "client_mobile_varietiesparameteraduit_taxrate",
            "isshow": true,
            "remark": "增值税税率",
            "children": [
                {
                    "code": "client_mobile_varietiesparameteraduit_taxrate_aduit",
                    "title": "审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_mobile_varietiesparameteraduit_taxrate_aduit",
                    "isshow": true,
                    "remark": "审核",
                    "children": []  
                }
            ]  
        },{
            "code": "client_mobile_varietiesparameteraduit_coeffcicent",
            "title": "折算系数",
            "sort": 2,
            "type": 1,
            "rulekey": "client_mobile_varietiesparameteraduit_coeffcicent",
            "isshow": true,
            "remark": "折算系数",
            "children": [
                {
                    "code": "client_mobile_varietiesparameteraduit_coeffcicent_aduit",
                    "title": "审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_mobile_varietiesparameteraduit_coeffcicent_aduit",
                    "isshow": true,
                    "remark": "审核",
                    "children": []  
                }
            ]  
        },{
            "code": "client_mobile_varietiesparameteraduit_costweight",
            "title": "成本权重",
            "sort": 3,
            "type": 1,
            "rulekey": "client_mobile_varietiesparameteraduit_costweight",
            "isshow": true,
            "remark": "成本权重",
            "children": [
                {
                    "code": "client_mobile_varietiesparameteraduit_costweight_aduit",
                    "title": "审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_mobile_varietiesparameteraduit_costweight_aduit",
                    "isshow": true,
                    "remark": "审核",
                    "children": []  
                }
            ]  
        },{
            "code": "client_mobile_varietiesparameteraduit_hedgeratio",
            "title": "套保比例",
            "sort": 4,
            "type": 1,
            "rulekey": "client_mobile_varietiesparameteraduit_hedgeratio",
            "isshow": true,
            "remark": "套保比例",
            "children": [
                {
                    "code": "client_mobile_varietiesparameteraduit_hedgeratio_aduit",
                    "title": "审核",
                    "sort": 1,
                    "type": 1,
                    "rulekey": "client_mobile_varietiesparameteraduit_hedgeratio_aduit",
                    "isshow": true,
                    "remark": "审核",
                    "children": []  
                }
            ]  
        }]  
    }
]